Skip to main content
GET
/
v1
/
account
/
open-orders
Get Open Orders
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/account/open-orders \
  --header 'POLYMARKET-PROXY: <api-key>' \
  --header 'POLYMARKET-SECRET: <api-key>'
[
  {
    "order_id": 1234567890,
    "instrument_id": 1,
    "buy": true,
    "price": "100.00",
    "quantity": "10.00",
    "post_only": false,
    "ro": false,
    "resting_quantity": "9.00",
    "filled_quantity": "1.00",
    "status": "open",
    "created_timestamp": 1767225600000,
    "updated_timestamp": 1767225600000,
    "client_order_id": "550e8400e29b41d4a716446655440000",
    "tpsl": {
      "trp": "110.00",
      "parent_oid": 1234567890,
      "armed_qty": "10.00",
      "slip_bps": 1000
    }
  }
]
Request Weight:
With instrument ID: 1
Without instrument ID: 20

Authorizations

POLYMARKET-PROXY
string
header
required

Proxy address

POLYMARKET-SECRET
string
header
required

Correponding proxy secret

Query Parameters

instrument_id
integer

Instrument ID

Example:

1

Response

Orders response.

order_id
integer
required

Order ID

Example:

1234567890

instrument_id
integer
required

Instrument ID

Example:

1

buy
boolean
required

Is buy

Example:

true

price
string
required

Price

Example:

"100.00"

quantity
string
required

Quantity in no. of contracts

Example:

"10.00"

tif
enum<string>
required

Time in force

Available options:
gtc,
ioc,
fok
post_only
boolean
default:false
required

Post only

Example:

false

ro
boolean
default:false
required

Reduce only

Example:

false

resting_quantity
string
required

Resting quantity

Example:

"9.00"

filled_quantity
string
required

Filled quantity

Example:

"1.00"

status
string
required

Order status

Example:

"open"

created_timestamp
integer
required

Create timestamp in milliseconds

Example:

1767225600000

updated_timestamp
integer
required

Update timestamp in milliseconds

Example:

1767225600000

client_order_id
string

Client order ID

Required string length: 32
Pattern: ^[0-9a-f]{32}$
Example:

"550e8400e29b41d4a716446655440000"

tpsl
object

Conditional-order fields. Present only when the order is a TP/SL conditional order — null/omitted for regular orders.